summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Giorgio Peron2013-01-12 17:47:17 +0100
committer dsomero2013-01-20 15:03:01 +0100
commitfb948c0ed12cda15f62d076b255068a7f8c4e36a (patch)
treed3ac5f6537560781e78a8a77beb31d1038ccb35b
parent1c054c479ebb34e6e5ed0ad94c88c4bb6804a659 (diff)
downloadslackbuilds-fb948c0ed12cda15f62d076b255068a7f8c4e36a.tar.gz
graphics/photivo: Added (photo processor).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--graphics/photivo/README11
-rw-r--r--graphics/photivo/doinst.sh9
-rw-r--r--graphics/photivo/photivo.SlackBuild94
-rw-r--r--graphics/photivo/photivo.info10
-rw-r--r--graphics/photivo/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/graphics/photivo/README b/graphics/photivo/README
new file mode 100644
index 0000000000..92f170e149
--- /dev/null
+++ b/graphics/photivo/README
@@ -0,0 +1,11 @@
+Photivo is a free and open source (GPL3) photo processor.
+It handles your RAW files as well as your bitmap files
+(TIFF, JPEG, BMP, PNG and many more) in a non-destructive
+16 bit processing pipe with gimp workflow integration
+and batch mode.
+
+Photivo requires GraphicsMagick to be compiled with
+the configure option "--with-quantum-depth=16": this is
+enabled by default in the latest GraphicsMagick build
+script, so if you have problem starting photivo be sure
+to have the latest version.
diff --git a/graphics/photivo/doinst.sh b/graphics/photivo/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/graphics/photivo/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/photivo/photivo.SlackBuild b/graphics/photivo/photivo.SlackBuild
new file mode 100644
index 0000000000..fbaac4a93b
--- /dev/null
+++ b/graphics/photivo/photivo.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for Photivo
+
+# Copyright 2013 Giorgio Peron <giorgio.peron@gmail.com>, Campodarsego, PD, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=photivo
+VERSION=${VERSION:-20130106}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+find . -exec touch {} \;
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#qmake CONFIG+=WithClear CONFIG+=WithGimp CONFIG+=WithAdobeProfiles CONFIG+=WithCurves photivo.pro PREFIX=/usr/share
+qmake photivo.pro PREFIX=/usr
+make
+make install INSTALL_ROOT=$PKG
+
+rm -rf $PKG/root
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYING* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/photivo/photivo.info b/graphics/photivo/photivo.info
new file mode 100644
index 0000000000..91597d6376
--- /dev/null
+++ b/graphics/photivo/photivo.info
@@ -0,0 +1,10 @@
+PRGNAM="photivo"
+VERSION="20130106"
+HOMEPAGE="http://photivo.org"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/photivo-20130106.tar.xz"
+MD5SUM="c926035b0f3367c4a13c55da7f5060e3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="GraphicsMagick lensfun liblqr"
+MAINTAINER="Giorgio Peron"
+EMAIL="giorgio.peron@gmail.com"
diff --git a/graphics/photivo/slack-desc b/graphics/photivo/slack-desc
new file mode 100644
index 0000000000..4207a91f4f
--- /dev/null
+++ b/graphics/photivo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.
+# It's also customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+photivo: Photivo (photo processor)
+photivo:
+photivo: Photivo is a free and open source (GPL3) photo processor.
+photivo: It handles your RAW files as well as your bitmap files
+photivo: (TIFF, JPEG, BMP, PNG and many more) in a non-destructive
+photivo: 16 bit processing pipe with gimp workflow integration
+photivo: and batch mode.
+photivo:
+photivo: Homepage http://photivo.org/photivo/
+photivo:
+photivo: